# Function MetaCircleFactory

- MetaCircleFactory(
  color:
  | number
  | IndexedCollection
  | [number, number, number]
  | [number, number, number, number],
  k?: number,
  ): typeof MetaCircleBase

  #### Parameters

  - color:
    | number
    | IndexedCollection
    | [number, number, number]
    | [number, number, number, number]
  - k: number = 32

  #### Returns typeof MetaCircleBase

  - Defined in drawables/shapes/meta-circle-factory.ts:24